// ID:ID, X:X坐标, Y:Y坐标, IsFlippedY:旋转

export default class Fish_TurretPosCFG {
  private static data =
      {"0":{"ID":0,"X":360,"Y":40,"IsFlippedY":false}

      ,"1":{"ID":1,"X":1000,"Y":40,"IsFlippedY":false}

      ,"2":{"ID":2,"X":1000,"Y":680,"IsFlippedY":true}

      ,"3":{"ID":3,"X":360,"Y":680,"IsFlippedY":true}

      }// ID:ID, X:X坐标, Y:Y坐标, IsFlippedY:旋转


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}